Limerence
Providers

List Provider Models

Discover a configured provider's current text and transcription models

GET
/providers/{provider}/models

Discover a configured provider's current text and transcription models

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

provider*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/providers/string/models"
{  "models": [    {      "id": "string",      "limits": {        "contextWindow": 0,        "maxOutput": 0      },      "name": "string",      "pricing": {        "input": 0,        "output": 0,        "reasoning": 0      },      "provider": "string"    }  ],  "transcriptionModels": [    "string"  ]}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "error": "string",  "cause": {    "code": "string",    "detail": "string"  }}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "error": "string",  "cause": {    "code": "api/record-not-found",    "detail": "string"  }}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}
{  "error": "string",  "cause": {    "code": "string",    "detail": "string"  }}
{  "error": "string",  "cause": {    "code": "string",    "detail": "string"  }}